Results 1 to 6 of 6

Thread: Installling KDevelop on YaST

  1. #1

    Default Installling KDevelop on YaST

    Hello,

    I am fairly new user of OpenSuse, and I do apoligize to bother you with this highly beginner problem. Actually I come from Ubuntu and I am done with it..

    I am trying to setup my development environment, and I would like to use KDevelop but when I try to download `kdevelop4` on YaST, after I click on it, it gives an warning message which says, "nothing provides libgrantlee_core.so.0()(64bit) needed by libkdevplatform8-1.7.2-1.2.x86_64". I have already look on internet about it but could not found any information about it :S. I have just found a similar problem (atleast as I guess) which is in german :S.

    Can someone please help me to over this problem? I have already used zypper to search this particular lib but output of it was empty :S.

    Thank you,
    Sina
    Last edited by kafanti; 26-Feb-2016 at 16:57. Reason: Forgot to ask help

  2. #2

    Default Re: Installling KDevelop on YaST

    Quote Originally Posted by kafanti View Post
    I do apoligize to bother you with this highly beginner problem.
    Never apologize for asking a question, all guru's started as beginners asking questions

    Looking here - https://build.opensuse.org/package/s...kage=kdevelop4

    it seems the package is currently broken. If you look to the right it says "unresolvable" meaning it is missing dependencies (packages) it requires to build.

    I would suggest waiting a few days and maybe the package will get fixed, if not then reply here and someone can help you create a bug report.
    http://cra1g321.deviantart.com ~ Free $10 Credit = https://www.digitalocean.com/?refcode=c815cd864aeb

  3. #3

    Default Re: Installling KDevelop on YaST

    You could also install kdevelop5 from KDE:Extra meanwhile:
    http://software.opensuse.org/package/kdevelop5

    But note that this is a Beta version.

    The problem with kdevelop4 is that apparently grantlee (the KDE4 version) has been deleted from Factory... And kdevelop4 requires this.
    So a bug report (or at least a message to the opensuse-factory@opensuse.org mailinglist) would definitely be in order.

  4. #4

    Thumbs up Re: Installling KDevelop on YaST

    Quote Originally Posted by cra1g321 View Post
    Never apologize for asking a question, all guru's started as beginners asking questions
    Thank you cra1g321 for your warm welcome. I can ask my questions after that without shy anymore.

    Also thank you for explaining how to evaluate factory reports on build.opensuse. But as wolfi323 says, I have already download the beta. I don't mind it is beta, maybe if I find any bugs, I would be happy to open a bug report for it. Isn't that beta's for this .

    Anyway thank you for your helpful explanations.

    Cheers,
    Sina

  5. #5

    Default Re: Installling KDevelop on YaST

    FYI: grantlee is being added back again to fix the problem with kdevelop4:
    https://build.opensuse.org/request/show/362336

    So no bug report necessary any more (and filing one now would actually be pointless).
    Last edited by wolfi323; 28-Feb-2016 at 05:32.

  6. #6

    Default Re: Installling KDevelop on YaST

    Quote Originally Posted by wolfi323 View Post
    FYI: grantlee is being added back again to fix the problem with kdevelop4:
    https://build.opensuse.org/request/show/362336

    So no bug report necessary any more (and filing one now would actually be pointless).
    Thank you for notifying me

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •